package com.landray.kmss.sys.attachment.actions;

import com.landray.kmss.web.config.IActionConfig;
import java.util.Map;
import com.landray.kmss.common.service.IBaseService;
import com.landray.kmss.web.action.ActionForward;
import javax.servlet.http.HttpServletResponse;
import com.landray.kmss.web.action.ActionForm;
import com.landray.kmss.web.action.ActionMapping;
import com.landray.kmss.web.config.ForwardConfig;
import javax.servlet.http.HttpServletRequest;
import org.slf4j.LoggerFactory;
import com.landray.kmss.sys.attachment.service.ISysAtt3rdDownloadQueueService;
import org.slf4j.Logger;
import com.landray.kmss.common.actions.ExtendAction;

public class SysAtt3rdDownloadQueueAction extends ExtendAction
{
    private static final Logger logger;
    private ISysAtt3rdDownloadQueueService sysAtt3rdDownloadQueueService;
    
    static {
        logger = LoggerFactory.getLogger(SysAtt3rdDownloadQueueAction.class);
    }
    
    protected ISysAtt3rdDownloadQueueService getServiceImp(final HttpServletRequest request) {
        if (this.sysAtt3rdDownloadQueueService == null) {
            this.sysAtt3rdDownloadQueueService = (ISysAtt3rdDownloadQueueService)this.getBean("sysAtt3rdDownloadQueueService");
        }
        return this.sysAtt3rdDownloadQueueService;
    }
}
